Resource Center/Resource Pool/VM Scheduling Rule Group Operations
POSTVM Scheduling Rule Group OperationsSince 4.6.0SynchronousAuth Required
CreateVmSchedulingRuleGroup
CreateVmSchedulingRuleGroup
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
zoneUuidStringRequiredThe zone UUID.
nameStringRequiredThe resource name.
descriptionStringOptional. Optional. The detailed description of the resource.
resourceUuidStringThe resource UUID.
tagUuidsListOptional. The tag UUID list.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/vmSchedulingRuleGroup
/zstack/v1/vmSchedulingRuleGroup
Request Example
curl -X POST 'http://{host}/zstack/v1/vmSchedulingRuleGroup' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"zoneUuid":"<zoneUuid>","name":"<name>","description":"<description>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "e79dc7a0170c31d18429c7478772c5d7", "name": "test", "description": "test desc", "appliance": "CUSTOMER", "zoneUuid": "e6a7cd7917473bedbfd420797d93ed50" } }Change History
This API has no change history records yet.
